module BasecommSdk
  class PushNotification < Base
    TYPE = {
      xs_pn_ach_change: 'ACH CHANGE',
      xs_pn_settlement_batch_change: 'SETTLEMENT BATCH CHANGE'
    }

    attr_accessor :type, :settlement_batch, :bank_account_transaction

    def json_prefix
      :push_notification
    end

    def ach?
      type == TYPE[:xs_pn_ach_change]
    end

    def batch?
      type == TYPE[:xs_pn_settlement_batch_change]
    end
  end
end
